<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Ui\Component\Form;

use Magento\Framework\View\Element\UiComponent\ContextInterface;

use Magento\Framework\View\Element\ComponentVisibilityInterface;
use Magento\Ui\Component\Form\Fieldset;
use Magento\Ui\Component\Form\FieldFactory;


/**
 * Class SlideFieldset
 */
class SlideFieldset extends Fieldset implements ComponentVisibilityInterface
{
    /**
     * @var \Magento\Framework\Registry
     */
    private $registry;
    /**
     * @var FieldFactory
     */
    private $fieldFactory;

    /**
     * CustomFieldset constructor.
     * @param ContextInterface $context
     * @param array $components
     * @param array $data
     */
    public function __construct(
        ContextInterface $context,
        \Magento\Framework\Registry $registry,
        FieldFactory $fieldFactory,
        array $components = [],
        array $data = []
    ) {
        $this->context = $context;
        $this->registry = $registry;
        $this->fieldFactory = $fieldFactory;
        parent::__construct($context, $components, $data);
    }

    /**
     * @return bool
     */
    public function isComponentVisible(): bool
    {
//        $carousel = $this->registry->registry('pinpoint_carouselmanager_carousel');
//        return !$carousel->getId();
        return false;
    }

    public function getChildComponents()
    {
//        $fieldInstance = $this->fieldFactory->create();
//        $name = 'carousel_footer_container_2';
//
//        $fieldInstance->setData(
//            [
//                'config' => [
//                    'formElement' => 'container',
//                    'children' => ['html_content' => [
//                        'componentType' => 'htmlContent',
//                        'block' => 'Pinpoint\CarouselManager\Block\Adminhtml\Carousel\Footer'
//                    ]]
//                ],
//                'name' => $name
//            ]
//        );
//
//        $fieldInstance->prepare();
//
//        $this->addComponent($name, $fieldInstance);

        return parent::getChildComponents();
    }


}